الخلاصة
- يوصي RFC 5148 بتغيير عشوائي متعمد لتوقيت رسائل تحكم MANET عندما لا تمنع الطبقات الدنيا التصادم بفاعلية.
- يفصل بين التوليد الدوري والتوليد المحفَّز خارجياً وإعادة التوجيه.
- يطرح التذبذب من الفاصل الدوري، بينما يؤخر الرسائل المحفَّزة والمعاد توجيهها.
- ينبغي اختيار القيمة بتوزيع منتظم بين الصفر و
MAXJITTERالمناسب. - الحد المضبوط لا يثبت التوزيع الفعلي أو استقلال مصادر العشوائية.
- لا يجوز للحد الدوري تجاوز نصف
MESSAGE_INTERVAL، ويستحسن ألا يتجاوز ربعه. - يفرض
MESSAGE_MIN_INTERVALالموجب حدوداً إضافية. - قد يجهل الموجّه الوسيط فاصل المنشئ ويحتاج إلى قاعدة خاصة بالبروتوكول.
- قد يصل محفز أو إصدار أحدث أثناء الانتظار، فتظهر قرارات الدمج والحذف والترتيب.
- يجب أن تشترك رسائل الحزمة الواحدة في عينة واحدة؛ اختيار أصغر عينات متعددة يشوّه التوزيع.
- يتراكم التأخير عبر القفزات، لذلك يدخل قطر الشبكة في الميزانية القصوى.
- تقليل احتمال التصادم لا يثبت الاستلام أو صحة المسار أو أمان القناة أو نتيجة التطبيق.
الملاحظة الأمنية ضيقة عمداً
تنشأ الإرسالات المتزامنة من جداول دورية متساوية، أو حدث واحد تراه عقد كثيرة، أو إعادة توجيه فورية لرسالة بث واحدة. يغيّر RFC 5148 اللحظة عشوائياً حتى لا يستمر هذا التزامن. وينطبق عندما لا توفر طبقة MAC والطبقات الأدنى حلاً فعالاً بالفعل.
يشير قسم الأمن إلى فائدة محتملة: يصبح توقيت الإرسال أقل قابلية للتنبؤ، فيصعب جدولة تشويش انتقائي بدقة. لكنه يترك الاعتبارات الأمنية الكاملة للبروتوكول المستخدم. لا توجد في التذبذب هوية أو توقيع أو تفويض، وقد تبقى البذور ضعيفة أو مترابطة.
ثلاث قواعد زمنية لا قاعدة واحدة
في الرسائل الدورية يصبح الفاصل MESSAGE_INTERVAL - jitter انطلاقاً من الإرسال الفعلي السابق. لا تتجاوز الرسالة موعدها الاسمي، وتتباعد العقد التي بدأت معاً. أما الحدث الخارجي فيضيف انتظاراً عشوائياً، ويجب أن يبدأ أي جدول دوري جديد من اللحظة المؤخرة.
إعادة التوجيه تضيف انتظاراً أيضاً، لكن العقدة الوسيطة قد لا تعرف فاصل المنشئ. يلزم اتفاق سابق أو حقل في الرسالة أو تقدير من أزمنة الاستلام أو آلية أخرى. لذلك لا تثبت علامة «التذبذب مفعّل» أن الحد صالح.
الحدود لا تراقب المولد
القيمة الدورية غير سالبة، ولا تتجاوز نصف الفاصل، ويستحسن أن تبقى دون ربعه. ومع فاصل أدنى موجب لا تتجاوزه، ويستحسن ألا تتجاوز نصفه. الاختيار المنتظم شرط تصميم، لا نتيجة قياس.
قيمة في نموذج إدارة أو قيمة افتراضية لا تكشف هل استُدعي المولد، وهل كانت بذور العقد مستقلة بعد إعادة تشغيل جماعية، وهل غيّرت قائمة الانتظار الموعد. كما يعتمد الحجم المناسب على فترة إطار MAC وكثافة العقد ومدى التداخل. زيادة العشوائية قد تقلل التصادم وتزيد التأخير في الوقت نفسه.
الانتظار ينشئ قرارات دلالية
قد يصل محفز جديد أثناء انتظار رسالة. إذا أُجل التوليد نفسه يمكن دمج الحدثين في رسالة حديثة. وإذا كانت الرسالة الأولى قد وُلدت، يقرر البروتوكول حذفها أو إرسال الاثنين أو تعديل الوقت مع حفظ الترتيب. ويحدث السباق نفسه عند وصول رسالة أحدث قبل توجيه السابقة.
رسائل الحزمة المستلمة الواحدة تستخدم عينة مشتركة. سحب عينات منفصلة واختيار الأصغر يخفض المتوسط ويكسر التوزيع المقصود. يحتاج الدليل التشغيلي إلى سبب الحدث والعينة ووحدة الدمج وقرار القائمة والوقت الفعلي.
كل قفزة تستهلك زمناً
قد تضيف كل عقدة إعادة توجيه تأخيراً جديداً. يربط RFC 5148 الحد بعدد عمليات التوجيه حتى قطر الشبكة. تفصل RFC 6130 بين HELLO الدوري والمحفَّز ولا تطبق تذبذب التوجيه على HELLO، بينما تفصل RFC 7181 معاملات TC الثلاثة وتضم RFC 7183 التأخير لكل قفزة إلى حساب الصلاحية.
تمديد الصلاحية ميزانية، لا إثبات عبور. يجب فصل الضبط، والجدولة، ومحاولة الراديو، واستلام كل عقدة، ومعالجة البروتوكول، وبناء الطوبولوجيا، وتثبيت المسار، وحركة البيانات. لا يرث أي مستوى سلطة المستوى الذي يليه.
Sources
إحاطة الأعضاء
سياق أعمق للملف الشخصي
سجّل الدخول بمستوى العضوية المناسب لفتح الإحاطة الكاملة وملاحظات المصادر.
للدائرة الاستراتيجية فقط
الدائرة الاستراتيجية
مفتوح لجميع القراء. افتح إحاطات الملف الشخصي بعد الانضمام وتسجيل الدخول.
انضم إلى الدائرة الاستراتيجيةلأعضاء تحالف القيادات فقط
تحالف القيادات
لأصحاب الأصول الفكرية المؤهلين وللإدارة؛ سجّل الدخول للوصول إلى إحاطات التحالف.
انضم إلى تحالف القيادات
